Skip to Content
New release 12 available 🎉

Activation

POST/v1/license/activatePOST /v1/license/activate

Code samples

# You can also use wget curl -X POST /v1/license/activate \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/license/activate

Body parameter

{ "userKey": "string", "machineId": "string", "clientId": "string", "clientName": "string" }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.ActivateLicenseRequestfalsenone

Example responses

200 Response

{"success":true,"licenseToken":"string","tokenExpireAt":{"seconds":0,"nanos":0},"activeClientCount":0,"maxClientCount":0,"license":{"licenseId":"string","licensingMode":0,"expireAt":{"seconds":0,"nanos":0},"supportExpireAt":{"seconds":0,"nanos":0},"licenseKey":[0]}}
{ "success": true, "licenseToken": "string", "tokenExpireAt": { "seconds": 0, "nanos": 0 }, "activeClientCount": 0, "maxClientCount": 0, "license": { "licenseId": "string", "licensingMode": 0, "expireAt": { "seconds": 0, "nanos": 0 }, "supportExpireAt": { "seconds": 0, "nanos": 0 }, "licenseKey": [ 0 ] } }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.ActivateLicenseResponse

Authentication: Bearer token or API key (x-api-key).

POST/v1/license/deactivatePOST /v1/license/deactivate

Code samples

# You can also use wget curl -X POST /v1/license/deactivate \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/license/deactivate

Body parameter

{ "userKey": "string", "machineId": "string", "clientId": "string", "clientName": "string" }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.DeactivateLicenseRequestfalsenone

Example responses

200 Response

{"licenseId":"string","activeClientCount":0,"maxClientCount":0}
{ "licenseId": "string", "activeClientCount": 0, "maxClientCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.DeactivateLicenseResponse

Authentication: Bearer token or API key (x-api-key).

Last updated on